Page MenuHomePhabricator

"Title::newFromTitle: $text must be a string" from Linker::formatLinksInComment
Closed, ResolvedPublic

Description

Warning: Title::newFromTitle: $text must be a string
from
../Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText

Several different stacks hit this:

  • Linker::commentBlock/Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText
  • MobileSpecialPageFeed::formatComment/Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText
  • ImageListPager::formatValue/Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText
  • ImageHistoryList::imageHistoryLine/Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText

About 200 hits collectively from these per day in Logstash for channel T76305. Method Linker::formatComment supports null, but further down its assumed to exist.

Event Timeline

Krinkle created this task.Aug 23 2015, 1:15 PM
Krinkle raised the priority of this task from to Medium.
Krinkle raised the priority of this task from Medium to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle added subscribers: aude, Krenair, Aklapper, Reedy.
demon triaged this task as Medium priority.Aug 24 2015, 3:19 AM

Change 246860 had a related patch set uploaded (by Umherirrender):
Avoid "$text must be a string" in Linker::formatLinksInComment

https://gerrit.wikimedia.org/r/246860

Change 246860 merged by jenkins-bot:
Avoid "$text must be a string" in Linker::formatLinksInComment

https://gerrit.wikimedia.org/r/246860

Umherirrender closed this task as Resolved.Nov 3 2015, 6:30 PM
Umherirrender claimed this task.